import '@/styles/globals.css';
import type { Preview } from '@storybook/react';
import * as NextImage from 'next/image';
import { ImageProps } from 'next/image';

const preview: Preview = {
  parameters: {
    actions: { argTypesRegex: '^on[A-Z].*' },
    controls: {
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i
      }
    }
  }
};

export default preview;

Object.defineProperty(NextImage, 'getImageProps', {
  configurable: true,
  value: (props: ImageProps) => {
    return { props: { ...props, srcSet: props.src } };
  }
});
