"use client"
import React, { useState } from "react"
import Button from "@/components/base/Button/Button"
import Input from "@/components/base/input/Input"
import styles from "./form.module.css"


interface FormProps {
    onPost: (input: string) => void;
}

const FormComponent: React.FC<FormProps> = ({ onPost }) => {
    const [input, setinput] = useState('')
    const [isError, setisError] = useState(false)

    const handleSubmit = (e: React.SyntheticEvent) => {
        e.preventDefault();
        if (input === '') {
            setisError(true)
            return
        }
        onPost(input)
    }
    const handleChange = (e: React.ChangeEvent<HTMLInputElement>) => {
        setinput(e.target.value)
        if (isError) {
            setisError(false)
        }
    }

    return (
        <form className={styles.form} onSubmit={handleSubmit}>
            <div className={styles.inputWrapper}>
                <Input placeholder="Enter Item..."
                    onChange={handleChange} ErrorMessage={isError ? "Enter the Field" : undefined} />
            </div>
            <div className={styles.buttonWrapper}>
                <Button size="sm" >
                    Submit
                </Button>
            </div>

        </form>
    )
}

export default FormComponent