import React from "react"
import styles from "./input.module.css"
interface InputProps extends React.InputHTMLAttributes<HTMLInputElement> {
    ErrorMessage?: string
}

const Input: React.FC<InputProps> = ({ ErrorMessage, ...props }) => {
    return (
        <div className={styles.Container}>
            <input {...props} className={`${ErrorMessage
                && styles.inputError}`} />
            {
                ErrorMessage &&
                <div className={styles.error}>
                    {ErrorMessage}
                </div>
            }
        </div>
    )
}

export default Input