import Item from "@/components/Top-Level/Item/Item";
import styles from "./list.module.css";
import { TodoListItems, TodoMethods } from "@/Types/todoTypes";
interface ListItemProps extends TodoMethods {
    data: TodoListItems[];

}
const ListItem: React.FC<ListItemProps> = ({ data, onDelete, updateTask }) => {
    return (
        <div className={styles.list}>
            {
                data.map((item) => (
                    <Item
                        key={item.id}
                        {...item}
                        onDelete={onDelete}
                        updateTask={updateTask}
                    />
                )
                )
            }
        </div>);
}

export default ListItem;